Summary: Integer point manipulation library
Name:    isl
Version: 0.16.1
Release: %mkrel 2
License: MIT
Group:   System/Libraries
URL:     http://isl.gforge.inria.fr/
Source0: http://isl.gforge.inria.fr/isl-%{version}.tar.xz

BuildRequires: gmp-devel
BuildRequires: pkgconfig
BuildRequires: gcc

%global libmajor 15

%define libname %mklibname isl %{libmajor}
%define devname %mklibname isl -d

%description
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%package -n %{libname}
Summary:  Integer point manipulation library
Group:   System/Libraries
Requires: isl >= %{version}-%{release}

%description -n %{libname}
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%package -n %{devname}
Summary:  Development for building integer point manipulation library
Requires: isl >= %{version}-%{release}
Requires: %{libname} >= %{version}-%{release}
Requires: gmp-devel
%rename   isl-devel
Group:    Development/Libraries

%description -n %{devname}
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%make_install INSTALL="install -p"
rm -f %{buildroot}/%{_libdir}/libisl.a
rm -f %{buildroot}/%{_libdir}/libisl.la
mkdir -p %{buildroot}/%{_datadir}
%global gdbprettydir %{_datadir}/gdb/auto-load/%{_libdir}
mkdir -p %{buildroot}/%{gdbprettydir}
mv %{buildroot}/%{_libdir}/*-gdb.py* %{buildroot}/%{gdbprettydir}

%check
make check

%files -n %{libname}
%{_libdir}/libisl.so.%{libmajor}*

%files
%doc AUTHORS ChangeLog LICENSE README
%{gdbprettydir}/*

%files -n %{devname}
%doc doc/manual.pdf
%{_includedir}/*
%{_libdir}/libisl.so
%{_libdir}/pkgconfig/isl.pc


%changelog
* Sun May 05 2019 tex - 0.16.1-2pclos2019
- rebuild against updates

* Fri Sep 01 2017 bb2 <bb2> 0.16.1-1pclos2017
- import for gcc
